#
# spec file for package cardpeek
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cardpeek
Version:        0.8.4
Release:        6.5
Summary:        Tool To Read Contents of ISO7816 Smart Cards (Credit Cards, GSM SIM etc
License:        GPL-3.0
Group:          Productivity/Security
Url:            http://pannetrat.com/Cardpeek/
Source:         http://downloads.pannetrat.com/install/%{name}-%{version}.tar.gz
Patch0:         cardpeek-lua5.3.patch
# PATCH-FIX-UPSTREAM https://github.com/L1L1/cardpeek/pull/97
Patch1:         reproducible.patch
BuildRequires:  desktop-file-utils
BuildRequires:  hicolor-icon-theme
BuildRequires:  openssl-devel
BuildRequires:  pkgconfig
BuildRequires:  readline-devel
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libpcsclite)
BuildRequires:  pkgconfig(lua)

%description
Cardpeek is a Linux tool to read the contents of ISO7816 smart cards.
It features a GTK GUI to represent card data is a tree view, and is
extendable with a scripting language (LUA).

The goal of this project is to allow smart card owners to be better
informed about what type of personal information is stored in these
devices.

The tool currently reads the contents of:
    * EMV cards
    * Calypso public transport cards (such as Navigo)
    * Moneo ePurse cards
    * Vitale 2 French health cards.
    * GSM cards (beta)

See %{_docdir}/cardpeek/cardpeek_ref.en.pdf for more details.

%prep
%autosetup -p1

%build
%configure \
  --docdir=%{_docdir}/%{name} \
  --disable-silent-rules
make %{?_smp_mflags}

%install
%make_install

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
# NEWS is empty
%doc AUTHORS COPYING ChangeLog README
%doc %{_defaultdocdir}/%{name}/cardpeek_ref.en.pdf
%{_mandir}/man1/cardpeek.1%{?ext_man}
%{_bindir}/cardpeek
%dir %{_datadir}/appdata
%{_datadir}/appdata/cardpeek.appdata.xml
%{_datadir}/applications/cardpeek.desktop
%{_datadir}/icons/hicolor/*/*/*.*

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  PatchN.
* Fri Nov  8 2019 Bernhard Wiedemann <bwiedemann@suse.com>
- Fix reproducible.patch to add --mtime @1 to not break the tar call
* Wed Jun 13 2018 bwiedemann@suse.com
- Add reproducible.patch to not have the embedded tarball vary
  across builds
* Tue Aug 22 2017 tchvatal@suse.com
- Add patch to build with lua5.3 (upstream merged in git):
  * cardpeek-lua5.3.patch
- Convert to pkgconfig style dependencies
* Wed Mar 15 2017 dimstar@opensuse.org
- Explicitly package files installed by make install into _docdir:
  rpm 4.13 no longer implicitly packages those files.
* Thu Jul 30 2015 dimstar@opensuse.org
- Update to version 0.8.4:
  + Works with Homebrew on OS X out of the box on Yosemite.
  + Has now a 'console' mode, as an alternative to the GTK+ GUI.
  + New and improved mifare classic 1k/4k script.
  + EMV script enhancements (thanks to A. Kozlik) and some minor
    bug fixes.
  + Improvements in GSM script.
  + Enable minimal "app bundling" on Mac OSX.
  + Many bug fixes and improvements.
- BuildRequire lua52-devel on openSUSE > 13.2 (current Tumbleweed):
  cardpeek has not been ported to LUA 5.3 yet.
* Thu Dec 25 2014 p.drouand@gmail.com
- Update to version 0.8.3
  + Added initial OpenPGP card support
  + Added clipboard copy in text format (with ctrl-c)
  + Added compatibility with FreeBSD
  + Added optional block signature computation to tachogrpah cards
  + Added Gironde/Grenoble Calypso French network data
  + Introduce experimental online secure script update, with RSA signature
  + Updated documentation
  + Minor change in XML cardpeek format
  + Many bugfixes and improvements
* Wed Feb 12 2014 prusnak@opensuse.org
- updated to 0.8.2
- drop obsoleted patches (included upstream)
* Thu Aug 22 2013 sbrabec@suse.cz
- New package.
